<?php

namespace Drupal\route_in_modal;

use Drupal;

/**
 * A helper class for managing configured account pages.
 */
class AccountPageHelper {

  /**
   * @return array
   */
  public function getRoutes(): array {
    $config = Drupal::config('route_in_modal.settings');
    $routes = $config->get('routes');

    return (empty($routes) ? [] : explode("\r\n", $routes));
  }

  /**
   * @param $route
   *
   * @return mixed|null
   */
  public function routeHasModal($route) {
    $return = NULL;

    if (in_array($route, $this->getRoutes(), TRUE)) {
      $return = $route;
    }

    return $return;
  }
}
